Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math
Class DuplicateSampleAbscissaException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.math.MathException
                  org.apache.commons.math.DuplicateSampleAbscissaException

All Implemented Interfaces:
  java.io.Serializable

    public class DuplicateSampleAbscissaException

extends MathException

Exception thrown when a sample contains several entries at the same abscissa.

Since:
  1.2
Version:
  $Revision: 822454 $ $Date: 2009-10-06 15:29:52 -0400 (Tue, 06 Oct 2009) $
See Also:
  Serialized Form

Field Summary
`private static long` | `serialVersionUID` Serializable version identifier

Constructor Summary
`DuplicateSampleAbscissaException(double abscissa, int i1, int i2)` Construct an exception indicating the duplicate abscissa.

Method Summary
`double` | `getDuplicateAbscissa()` Get the duplicate abscissa.

Methods inherited from class org.apache.commons.math.MathException
`getArguments, getLocalizedMessage, getMessage, getMessage, getPattern, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version identifier

  See Also:
    Constant Field Values

Constructor Detail

### DuplicateSampleAbscissaException

    public DuplicateSampleAbscissaException(double abscissa,
                                            int i1,
                                            int i2)

  Construct an exception indicating the duplicate abscissa.

  Parameters:
    `abscissa` - duplicate abscissa
    `i1` - index of one entry having the duplicate abscissa
    `i2` - index of another entry having the duplicate abscissa

Method Detail

### getDuplicateAbscissa

    public double getDuplicateAbscissa()

  Get the duplicate abscissa.

  Returns:
    duplicate abscissa

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-2011 Apache Software Foundation